 .filter-controls input {
  display: none;
}
input[type="radio"]:checked {
      color: #f01616 !important;

}

.songs [data-type] {
  display: none;
  margin: 0.5rem 0;
}

#arbeiterlieder:checked ~ .songs [data-type="arbeiterlieder"],
#antifascist:checked ~ .songs [data-type="antifascist"],
#feminist:checked ~ .songs [data-type="feminist"],
#all:checked ~ .songs [data-type] {
display: block;
}

.labels {
display: inline;}

.labels label {
  margin-right: 0.4rem;
  cursor: pointer;
  padding: 0.2rem 0.5rem;
  background: #f7b7da;
  border-radius: 12px;
}

.labels label :checked{
color: #fff;
}

.labels label:hover {
  background: #e5e5e5;
}

input[type="radio"] {
  display: none;
}

body {
  display: grid;
  min-height: 100vh;
  grid-template-rows: auto 1fr auto;
  font-family: sans-serif;
  line-height: 1.6;
  background: #fff;
  color: #222;
}

header {
  padding: 1rem 2rem;
  background: #ff369a;
  color: #fff;
  font-weight: bold;
}

main {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1.5rem;
  padding: 2rem;
}

footer {
  padding: 1rem 2rem;
  background: #222;
    color: antiquewhite;
  border-top: 1px solid #ddd;
  text-align: center;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
p {
  padding: 2rem 0;
}